diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index f951ddb..724cea2 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -2418,8 +2418,7 @@ include_dir 'conf.d'
         The <literal>open_</literal>* options also use <literal>O_DIRECT</literal> if available.
         Not all of these choices are available on all platforms.
         The default is the first method in the above list that is supported
-        by the platform, except that <literal>fdatasync</literal> is the default on
-        Linux.  The default is not necessarily ideal; it might be
+        by the platform.  The default is not necessarily ideal; it might be
         necessary to change this setting or other aspects of your system
         configuration in order to create a crash-safe configuration or
         achieve optimal performance.
diff --git a/src/include/port/linux.h b/src/include/port/linux.h
index 7a6e46c..8c6b96b 100644
--- a/src/include/port/linux.h
+++ b/src/include/port/linux.h
@@ -13,10 +13,3 @@
  */
 #define HAVE_LINUX_EIDRM_BUG
 
-/*
- * Set the default wal_sync_method to fdatasync.  With recent Linux versions,
- * xlogdefs.h's normal rules will prefer open_datasync, which (a) doesn't
- * perform better and (b) causes outright failures on ext4 data=journal
- * filesystems, because those don't support O_DIRECT.
- */
-#define PLATFORM_DEFAULT_SYNC_METHOD	SYNC_METHOD_FDATASYNC
